#ifndef TRACKLISTWIDGET_H
#define TRACKLISTWIDGET_H

#include <QWidget>
#include <QListWidget>

class TrackListWidget : public QWidget
{
    Q_OBJECT

public:
    explicit TrackListWidget(const QStringList& audioFiles, QWidget* parent = nullptr);

    void setCurrentRow(int row);   // <-- THIS must be here

signals:
    void trackSelected(int index);

private:
    QListWidget* list_;
};

#endif // TRACKLISTWIDGET_H
